// src/use-mounted-state/useMountedState.tsx
import { useCallback, useEffect, useRef } from "react";
function useMountedState() {
  const mountedRef = useRef(false);
  const get = useCallback(() => mountedRef.current, []);
  useEffect(() => {
    mountedRef.current = true;
    return () => {
      mountedRef.current = false;
    };
  }, []);
  return get;
}
export {
  useMountedState
};
//# sourceMappingURL=index.mjs.map